<?
Error_Reporting(E_ALL & ~E_NOTICE);
session_start();
include "conf.php";

$chas = date("H");
$server_date=date("d.m.Y", mktime($chas-$GSM));
$server_time=date("H:i:s", mktime($chas-$GSM));

$data = mysql_connect($base_name, $base_user, $base_pass);
    if(!mysql_select_db($db_name,$data)){
     print "Ошибка при подключении к БД<BR>";
     echo mysql_error();
     die();
    }

    if(!empty($login) AND !empty($password)){
    function check( $str, $maxchar = 30){
    $str = htmlspecialchars($str);
    $str = substr( $str, 0, $maxchar );
    $str = trim( $str );
    $str = str_replace( "'", "", $str );
    $str = str_replace( '"', "", $str );
    $str = str_replace( "\n", "<BR>", $str );
    return $str;
    }

    check($login);
    check($password);
    $login = str_replace("'","",$login);
    $password = str_replace("'","",$password);

     $CHECK = mysql_query("SELECT * FROM `users` WHERE login='$login'");
     $DATA  = mysql_fetch_array($CHECK);
        if(session_is_registered('login'))
        {
	print "Произошла ошибка! Двое или больше пользователей пытаются играть с одной машины!<BR>Попробуйте войти еще раз!";
	session_unset(); die();
        }

    $ip = $REMOTE_ADDR;

    $file = file("magic/1/ip.dat");
    $num = count($file);

    for($i=0;$i<=$num-1;$i++){ 
      $arr = explode("|",$file[$i]);
      if(strstr($arr[0],$ip))$num_ip=1;
    }
        if($login!='Мироздатель' && $login!='Смотритель' && $login!='ПАЛАЧ'){
        if($num_ip>0){
         ?>
         <HTML>
         <TITLE>АнтиБК+: авторизация</TITLE>
         <LINK REL=StyleSheet HREF="style.css" TYPE="text/css">
         </HEAD>
         <BODY BGCOLOR="#FFFFFF">
         <?
         print "<SPAN CLASS='err'>Ошибка! Регистрация с вашего ip заблокирована!</SPAN><BR>";
         print "<A HREF=\"javascript:history.back()\" CLASS='us2'>назад</A>";
         die();
        }}
        if(!$DATA){
         ?>
         <HTML>
         <TITLE>АнтиБК+: авторизация</TITLE>
         <LINK REL=StyleSheet HREF="style.css" TYPE="text/css">
         </HEAD>
         <BODY BGCOLOR="#FFFFFF">
         <?
         print "<SPAN CLASS='err'>Ошибка! Персонаж \"$login\" не найден в базе данных!</SPAN><BR>";
         print "<A HREF=\"javascript:history.back()\" CLASS='us2'>назад</A>";
         die();
        }
        if($password != base64_decode($DATA["password"])){
         ?>
         <HTML>
         <TITLE>АнтиБК+: авторизация</TITLE>
         <LINK REL=StyleSheet HREF="style.css" TYPE="text/css">
         </HEAD>
         <BODY BGCOLOR="#FFFFFF">
         <?
         print "<SPAN CLASS='err'>Ошибка! Неверный пароль для персонажа \"".$DATA["login"]."\"!</SPAN><BR>";
         print "<A HREF=\"javascript:history.back()\" CLASS='us2'>назад</A>";
         die();
        }


        if($DATA["blok"]!=0){
         ?>
         <HTML>
         <TITLE>АнтиБК+: авторизация</TITLE>
         <LINK REL=StyleSheet HREF="style.css" TYPE="text/css">
         </HEAD>
         <BODY BGCOLOR="#FFFFFF">
         <?
         print "<SPAN CLASS='err'>Внимание!!! Персонаж \"".$DATA["login"]."\" заблокирован!<BR>";
if ($db["blok_reason"]!=""){
         print "Причина блока: ".$DATA["blok_reason"]."!<BR></SPAN>";}
         print "<A HREF=\"javascript:history.back()\" CLASS='us2'>назад</A>";
         die();
        }


     $login = $DATA["login"];
     if(!isset($_COOKIE["uniqPCID"])){
     $uin = md5(uniqid(rand(0,1000000000)));
     }
     else{
     $uin = $_COOKIE["uniqPCID"];
     }

        if(!empty($_SESSION["login"])){
         session_unregister('login');
         session_register('login');
        }
        else{
         session_register('login');
        }

     if(empty($ip))
     {
               if (getenv('HTTP_X_FORWARDED_FOR'))
                {
                        $ip=getenv('HTTP_X_FORWARDED_FOR');
                }
                       else
                {
                        $ip=getenv('REMOTE_ADDR');
                }
     }

     $GET_ONLINE      = mysql_query("SELECT * FROM `online` WHERE login_display='".$_SESSION["login"]."'");
     $GET_ONLINE_DATA = mysql_fetch_array($GET_ONLINE);


        if(!$GET_ONLINE_DATA){
         $INSERT_ONLINE = mysql_query("INSERT INTO `online`(ip,login,login_display,last_time,uniqPCID,room,city) VALUES('$ip','".$_SESSION["login"]."','".$_SESSION["login"]."','".time()."','$uin','".$DATA["room"]."','".$DATA["city_game"]."')");
        }
        else{
         $UPDATE_ONLINE = mysql_query("UPDATE `online` SET ip='$ip',uniqPCID='".$_COOKIE["uniqPCID"]."',last_time='".time()."',room='".$DATA["room"]."',city='".$DATA["city_game"]."' WHERE login='".$_SESSION["login"]."'");
        }
     if(!isset($_COOKIE["uniqPCID"])){
     setCookie("uniqPCID",$uin,time()+3600*24);
     }
     ?>
     <HTML>
     <LINK REL=StyleSheet HREF="style.css" TYPE="text/css">
     </HEAD>
     <BODY BGCOLOR="#FFFFFF">
     <SPAN CLASS='norm'>Авторизация окончена...</SPAN>
     <?
     if(empty($ip))
     {
               if (getenv('HTTP_X_FORWARDED_FOR'))
                {
                        $ip=getenv('HTTP_X_FORWARDED_FOR');
                }
                       else
                {
                        $ip=getenv('REMOTE_ADDR');
                }
     }


	$zayavka_c_m = 1;
	$zayavka_c_o = 1;
	$battle_ref  = 0;

     session_register('zayavka_c_m','zayavka_c_o','battle_ref');
     //$REPORT = mysql_query("INSERT INTO `report`(date,time_stamp,login,action,type,ip) VALUES('$server_date-$server_time','".time()."','".$_SESSION["login"]."','Персонаж авторизировался','1','$ip')");
     print "<script>location.href='game.php';</script>";
    }
    else{
     ?>
     <HTML>
     <LINK REL=StyleSheet HREF="style.css" TYPE="text/css">
     </HEAD>
     <BODY BGCOLOR="#FFFFFF">
     <?
     print "<SPAN CLASS='err'>Ошибка! Вы не ввели логин либо пароль!</SPAN><BR>";
     print "<A HREF=\"javascript:history.back()\" CLASS='us2'>назад</A>";
     die();
    }

?>